summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAustin English <wizardedit@gentoo.org>2016-07-12 17:39:58 -0500
committerAustin English <wizardedit@gentoo.org>2016-07-12 17:40:12 -0500
commitbe888ef802411c0db150f2fdf7116989668cd691 (patch)
treef6b08a041d6873ae766a6a80f12bc6bc0160e9f1 /games-action/moon-buggy
parentdev-php/PEAR-Net_Sieve: new version v1.5.2 from the Roundcube team. (diff)
downloadgentoo-be888ef802411c0db150f2fdf7116989668cd691.tar.gz
gentoo-be888ef802411c0db150f2fdf7116989668cd691.tar.bz2
gentoo-be888ef802411c0db150f2fdf7116989668cd691.zip
games-action/moon-buggy: remove deprecated games eclass
Also update to EAPI 6 Gentoo-Bug: https://bugs.gentoo.org/574082 Package-Manager: portage-2.3.0
Diffstat (limited to 'games-action/moon-buggy')
-rw-r--r--games-action/moon-buggy/moon-buggy-1.0.51-r1.ebuild46
1 files changed, 46 insertions, 0 deletions
diff --git a/games-action/moon-buggy/moon-buggy-1.0.51-r1.ebuild b/games-action/moon-buggy/moon-buggy-1.0.51-r1.ebuild
new file mode 100644
index 00000000000..e46b34d2ff9
--- /dev/null
+++ b/games-action/moon-buggy/moon-buggy-1.0.51-r1.ebuild
@@ -0,0 +1,46 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+inherit autotools eutils user
+
+DESCRIPTION="A simple console game, where you drive a car across the moon's surface"
+HOMEPAGE="http://www.seehuhn.de/comp/moon-buggy.html"
+SRC_URI="http://www.seehuhn.de/data/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~ppc ~x86"
+IUSE=""
+
+RDEPEND="sys-libs/ncurses:0"
+DEPEND="${RDEPEND}
+ virtual/pkgconfig"
+
+pkg_setup(){
+ enewgroup gamestat 36
+}
+
+src_prepare() {
+ default
+ sed -i \
+ -e '/$(DESTDIR)$(bindir)\/moon-buggy -c/d' \
+ Makefile.am || die
+ rm -f missing
+ eautoreconf
+}
+
+src_configure() {
+ econf \
+ --sharedstatedir="/var/games" \
+ --with-curses-libs="$(pkg-config ncurses --libs)"
+}
+
+src_install() {
+ default
+ touch "${D}/var/games/${PN}/mbscore"
+ fowners root:gamestat /usr/bin/${PN} /var/games/${PN} /var/games/${PN}/mbscore
+ fperms 2755 /usr/bin/${PN}
+ fperms 664 /var/games/${PN}/mbscore
+}